MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025915Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-03-11 16:512017-12-05 17:00
Reporterapn 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusnewResolutionopen 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025915: Incorrect result of Boolean cut operation
DescriptionBRepAlgo_Cut makes incorrect result in test case bugs/modalg_4/bug825 and bug825_2.

bugs/modalg_4/bug825_2. The result must be half-sphere. However, full sphere with a scar is found (see bug825_2.PNG).

bugs/modalg_4/bug825.

Draw[]> OCC825 a1 a2 a3 res1 res2 0

res1 seems to be valid.
res2 is an empty compound.
Steps To Reproduceuse command OCC825 with last parameter 0 (BRepAlgoAPI/BRepAlgo = 1/0)
TagsNo tags attached.
Test case number bugs modalg_4 bug825 bug825_1 bug825_2
Attached Filespng file icon bug825_2.PNG (21,593 bytes) 2016-02-24 12:18

- Relationships

-  Notes
(0051077)
nbv (developer)
2016-02-24 12:04

Additional remarks.

There is a jump of Walking line in neighborhood of sphere pole. Result of Dump is following (2d-coordinates on the sphere only):

 ----------- D u m p I n t P a t c h _ W L i n e -(begin)------
Num [U2 V2]
...
 572 [+3.14159265358979310000 +1.56151422368963820000]
 573 [+3.14159265358979310000 +1.56551437467481460000]
 574 [+3.14159265358979310000 +1.56951440913947840000]
 575 [+6.28318530717958620000 +1.56807826249686810000]

Point 574 and 575 (U=pi ==> U=2*pi). V goes through the sphere pole. However, it is not processed.
(0051078)
nbv (developer)
2016-02-24 12:13

After the fix to the issue #27190:

1. Jumping of Walking line (see 0025915:0051077) is absent.
2. The result in bugs/modalg_4/bug825_2 test case is half-sphere ==> IMPROVEMENT, however, Boolean operation loses both degenerated edge of the sphere. I.e. new result is not-closed shape.
3. bugs/modalg_4/bug825. res1 contains Not-closed face (as in item 2), res2 is an empty compound as before.
(0069246)
mkv (tester)
2017-08-09 14:57

Problem described in issue is reproduced on current state of OCCT.

- Issue History
Date Modified Username Field Change
2015-03-11 16:51 apn New Issue
2015-03-11 16:51 apn Assigned To => msv
2015-03-11 16:52 apn Test case number => bugs modalg_4 bug825 bug825_1 bug825_2
2015-04-17 00:02 abv Target Version 6.9.0 => 7.1.0
2016-02-24 11:57 nbv Summary BRepAlgo_Cut makes empty compound on sphere and b-spline face => Incorrect result of Boolean cut operation
2016-02-24 11:57 nbv Description Updated View Revisions
2016-02-24 12:04 nbv Note Added: 0051077
2016-02-24 12:13 nbv Note Added: 0051078
2016-02-24 12:18 nbv File Added: bug825_2.PNG
2016-02-24 12:20 abv Relationship added related to 0027190
2016-10-28 17:03 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-08-09 14:57 mkv Note Added: 0069246
2017-12-05 17:00 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker